Commit b933157d authored by Arkadiusz Hiler's avatar Arkadiusz Hiler
Browse files

Dockerfile: Fix node.js installation

Debian Buster now has up-to-date nodejs so we don't need to pull it from
a third party repository.

Sadly npm generates warnings on stderr as it is not the latest one that
should come bundled with node but a Debian-maintained one, which is
quite old compared to the node version. The warnings are harmless
though.

Bugzilla: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=904422

Signed-off-by: default avatarArkadiusz Hiler <arkadiusz.hiler@intel.com>
parent 0e312f8c
FROM python:3.7 FROM python:3.7
ENV CHROME_BIN /usr/bin/chromium
ENV DEBIAN_FRONTEND noninteractive ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -qq update RUN apt-get -qq update
RUN apt-get -qq install python-virtualenv python3-virtualenv python-pip python3-pip RUN apt-get -qq install python-virtualenv python3-virtualenv python-pip python3-pip
ENV CHROME_BIN /usr/bin/chromium RUN apt-get -qq install chromium chromium-driver nodejs npm
RUN apt-get -qq install chromium chromium-driver
RUN curl -sL https://deb.nodesource.com/setup_8.x | bash -
RUN apt-get -qq install nodejs
RUN npm install -g jshint jasmine-core karma karma-jasmine karma-chrome-launcher RUN npm install -g jshint jasmine-core karma karma-jasmine karma-chrome-launcher
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment